IonCube Loader is a software tool, that's necessary to run files which are encoded with ionCube PHP Encoder. The aforementioned is an app used to make PHP code human unreadable, as a way to protect it from reverse engineering and / or unauthorized usage. A large number of script-driven applications, in particular discussion boards, content management systems and electronic commerce solutions are protected with ionCube PHP Encoder, which means that if you buy a script and you find that ionCube is one of the web hosting environment prerequisites, you should make sure that your web hosting server has the instrument pre-installed. While it's not that difficult to install it if you have your own server, it is close to impossible to do that on a shared hosting server since the PHP environment should be precompiled and all clients on the server shall be affected.
IonCube in Shared Hosting
If you buy a shared plan through our company, it'll be set up on our custom-built cloud platform where ionCube Loader is already set up, so you won't have any problems to manage any script app that requires the instrument in order to run properly. In addition, we offer several different releases of PHP, which means that if you switch the version, you'll need to activate ionCube again. Our platform remembers the adjustments you make, which means that if you move back to the previous release of PHP that was active for your account, ionCube Loader will already be enabled. Both the PHP version and the ionCube instrument can be operated from the PHP Configuration section of our Hepsia web hosting Control Panel. Every change that you make takes literally just a click and it'll take effect at once.
IonCube in Semi-dedicated Servers
If you get a semi-dedicated server package from us, you'll be able to employ any script-driven application that requires ionCube Loader because the software tool is available on all the servers that are a part of our modern cloud website hosting platform. In addition, we support several versions of PHP, so if you switch from PHP 4 to 5.2 or 5.3, for instance, you can activate ionCube for that particular version with just a click in your Hepsia Control Panel. Our platform will remember your choice, so in case you switch back to the earlier release of PHP, the software tool will already be active. For more experienced users, we also provide the option to pick the PHP version and if ionCube will be active or not for a specific domain name without altering the settings for the whole website hosting account. This is done by placing a php.ini file in a domain folder with a few lines of code.